<html>
<head>
<title>OGRE: Class Members - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespaces.html"><span>Namespace List</span></a></li>
    <li class="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespacemembers.html"><span>All</span></a></li>
    <li><a href="namespacemembers_func.html"><span>Functions</span></a></li>
    <li><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
    <li><a href="namespacemembers_type.html"><span>Typedefs</span></a></li>
    <li class="current"><a href="namespacemembers_enum.html"><span>Enumerations</span></a></li>
    <li><a href="namespacemembers_eval.html"><span>Enumerator</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="#index_b"><span>b</span></a></li>
    <li><a href="#index_c"><span>c</span></a></li>
    <li><a href="#index_e"><span>e</span></a></li>
    <li><a href="#index_f"><span>f</span></a></li>
    <li><a href="#index_g"><span>g</span></a></li>
    <li><a href="#index_i"><span>i</span></a></li>
    <li><a href="#index_l"><span>l</span></a></li>
    <li><a href="#index_m"><span>m</span></a></li>
    <li><a href="#index_p"><span>p</span></a></li>
    <li><a href="#index_r"><span>r</span></a></li>
    <li><a href="#index_s"><span>s</span></a></li>
    <li><a href="#index_t"><span>t</span></a></li>
    <li><a href="#index_v"><span>v</span></a></li>
    <li><a href="#index_w"><span>w</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>BillboardOrigin
: <a class="el" href="namespaceOgre.html#37abc46b1f74f855e13334aa44f4ec5e">Ogre</a>
<li>BillboardRotationType
: <a class="el" href="namespaceOgre.html#4f3a37a5b62f0a2ddda53f789e736cbd">Ogre</a>
<li>BillboardType
: <a class="el" href="namespaceOgre.html#8a7bd8c019e0d8e7049e855847af2a1c">Ogre</a>
</ul>
<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
<li>Capabilities
: <a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Ogre</a>
<li>CompareFunction
: <a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">Ogre</a>
<li>CullingMode
: <a class="el" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb">Ogre</a>
</ul>
<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
<li>eTexturePlayMode
: <a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">Ogre</a>
</ul>
<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
<li>FaceGroupType
: <a class="el" href="namespaceOgre.html#7c11c8a17d7bbfc5aab6f982fb0d7f38">Ogre</a>
<li>FilterOptions
: <a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d">Ogre</a>
<li>FilterType
: <a class="el" href="namespaceOgre.html#c1fc36ec2f4df4b2afa9fa39f9c66c06">Ogre</a>
<li>FogMode
: <a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020ba">Ogre</a>
<li>FontType
: <a class="el" href="namespaceOgre.html#7d22ba70debe31488cdd62c5dc307ce9">Ogre</a>
<li>FrameBufferType
: <a class="el" href="namespaceOgre.html#0206520b2d2647504c13017f2aaf4741">Ogre</a>
<li>FrustumPlane
: <a class="el" href="namespaceOgre.html#62275d08557868fd87154c46dfcc9dfd">Ogre</a>
</ul>
<h3><a class="anchor" name="index_g">- g -</a></h3><ul>
<li>GpuConstantType
: <a class="el" href="namespaceOgre.html#9c5b2950be06ff56a6ee0bace240d447">Ogre</a>
<li>GpuProgramType
: <a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">Ogre</a>
<li>GuiHorizontalAlignment
: <a class="el" href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f3">Ogre</a>
<li>GuiMetricsMode
: <a class="el" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f36">Ogre</a>
<li>GuiVerticalAlignment
: <a class="el" href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372e">Ogre</a>
</ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>IlluminationStage
: <a class="el" href="namespaceOgre.html#12a2bc4c75c439630241aa279089acb4">Ogre</a>
<li>ImageFlags
: <a class="el" href="namespaceOgre.html#975bb6abd3c277b9a91d849367885474">Ogre</a>
</ul>
<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
<li>LayerBlendOperation
: <a class="el" href="namespaceOgre.html#bcbb38d1ac195e4be401f85b7ab0da8f">Ogre</a>
<li>LayerBlendOperationEx
: <a class="el" href="namespaceOgre.html#264ecab38a04d01e2c3158fa05ec1ee2">Ogre</a>
<li>LayerBlendSource
: <a class="el" href="namespaceOgre.html#e2ad78de344f35307ce35157c175625e">Ogre</a>
<li>LayerBlendType
: <a class="el" href="namespaceOgre.html#1ae5925d36df27a6c3590536752264f8">Ogre</a>
<li>LoggingLevel
: <a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">Ogre</a>
<li>LogMessageLevel
: <a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">Ogre</a>
</ul>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>ManualCullingMode
: <a class="el" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fc">Ogre</a>
<li>MaterialScriptSection
: <a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c">Ogre</a>
<li>MeshChunkID
: <a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4">Ogre</a>
</ul>
<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
<li>ParameterType
: <a class="el" href="namespaceOgre.html#4b8cfe4e77d7d21264a6497c06ed924a">Ogre</a>
<li>PixelComponentType
: <a class="el" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe">Ogre</a>
<li>PixelFormat
: <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">Ogre</a>
<li>PixelFormatFlags
: <a class="el" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab">Ogre</a>
<li>PolygonMode
: <a class="el" href="namespaceOgre.html#68866b02aa7f99e3431337511fbb3345">Ogre</a>
<li>ProjectionType
: <a class="el" href="namespaceOgre.html#f5dd9a3d1fd373b17108baa16065b1ce">Ogre</a>
</ul>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>RenderQueueGroupID
: <a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00">Ogre</a>
</ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>SceneBlendFactor
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">Ogre</a>
<li>SceneBlendType
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a">Ogre</a>
<li>SceneType
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af914">Ogre</a>
<li>ShadeOptions
: <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560">Ogre</a>
<li>ShadowRenderableFlags
: <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc">Ogre</a>
<li>ShadowTechnique
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6">Ogre</a>
<li>SkeletonAnimationBlendMode
: <a class="el" href="namespaceOgre.html#230b218164ffe5e6ee8970bef57e6abd">Ogre</a>
<li>SkeletonChunkID
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd">Ogre</a>
<li>SortMode
: <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">Ogre</a>
<li>StencilOperation
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">Ogre</a>
</ul>
<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
<li>TexCoordCalcMethod
: <a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31">Ogre</a>
<li>TextureFilterOptions
: <a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5">Ogre</a>
<li>TextureMipmap
: <a class="el" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf255">Ogre</a>
<li>TextureType
: <a class="el" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7">Ogre</a>
<li>TextureUsage
: <a class="el" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67">Ogre</a>
<li>TrackVertexColourEnum
: <a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de85">Ogre</a>
</ul>
<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
<li>VertexAnimationType
: <a class="el" href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158e">Ogre</a>
<li>VertexElementSemantic
: <a class="el" href="namespaceOgre.html#0a62b3f2ede8992ff365bb013a8bc00d">Ogre</a>
<li>VertexElementType
: <a class="el" href="namespaceOgre.html#027109503a988ba85f4c63b55082907f">Ogre</a>
</ul>
<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
<li>WaveformType
: <a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">Ogre</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:24 2008
</p>
</body>
</html>
